Page MenuHomePhabricator

[OpenMP] Add task alloc function
ClosedPublic

Authored by gtbercea on Jun 7 2019, 9:04 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

gtbercea created this revision.Jun 7 2019, 9:04 AM

Is there a particular reason for this kind of micro-patches? The function is not made available in the linker script and there's no implementation either.

runtime/src/kmp.h
3786 ↗(On Diff #203566)

libomptarget uses int64_t for its device ids, I think size_t depends on the implementation?

runtime/src/kmp.h
3786 ↗(On Diff #203566)

Agreed, it should be a 64 bit int

gtbercea updated this revision to Diff 204138.Jun 11 2019, 1:01 PM
  • Add tests.
Herald added a project: Restricted Project. · View Herald TranscriptJun 11 2019, 1:01 PM
Herald added a subscriber: cfe-commits. · View Herald Transcript
gtbercea marked 2 inline comments as done.Jun 11 2019, 1:06 PM
gtbercea updated this revision to Diff 204140.Jun 11 2019, 1:08 PM
  • Add temporary implementation.
This revision is now accepted and ready to land.Jun 11 2019, 1:59 PM
hbae accepted this revision.Jun 14 2019, 12:01 PM
hbae added a subscriber: hbae.

LGTM.

Closed by commit rL363449: [OpenMP] Add task alloc function (authored by gbercea, committed by ). · Explain WhyJun 14 2019, 1:13 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptJun 14 2019, 1:13 PM